Not compatible Not yet rated

Not compatible with the latest Firefox, doesn't go past 1.5

This review is for a previous version of the add-on (0.6.3).